
/*
 *    d_errno values for das aci calls
 */

#define EOK          0    /* request successful            */
#define ERPC         1    /* rpc failure                */
#define EINVALID     2    /* aci parameter invalid        */
#define ENOVOLUME    3    /* volume not found of this type    */
#define ENODRIVE     4    /* drive not in Grau ATL        */
#define EDRVOCCUPIED 5    /* the requested drive is in use    */
#define EPROBVOL     6    /* the robot has a physical problem with the volume */
#define EAMU         7    /* an internal error in the AMU        */
#define EAMUCOMM     8    /* the DAS was unable to communicate with the AMU */
#define EROBOT       9    /* the robotic system is not functioning */
#define EROBOTCOMM  10    /* the AMU was unable to communicate with the robot */
#define ENODAS      11    /* the DAS system is not active        */
#define EDEVEMPTY   12    /* the drive did not contain an unloaded volume */
#define ENOTREG     13    /* invalid registration            */
#define EBADHOST    14    /* invalid hostname or ip address    */
#define ENOAREA     15    /* the area name does not exist        */
#define ENOTAUTH    16    /* the client is not authorized to make this request */
#define EDYNFULL    17    /* the dynamic area became full, insertion stopped */
#define EUPELSE     18    /* the drive is currently available to another client */
#define EBADCLIENT  19    /* the client does not exist        */
#define EBADDYN     20    /* the dynamic area does not exist    */
#define ENOREQ      21    /* no request exists with this number    */
#define ERETRYL     22    /* retry attempts exceeded         */
#define ENOTMOUNTED 23    /* requested volser is not mounted    */
#define EINUSE      24    /* requested volser is in use        */
#define ENOSPACE    25    /* no space availble to add range    */
#define ENOTFOUND   26    /* the range or object was not found    */
#define ECANCELLED  27    /* the request was cancelled by aci_cancel()    */
#define EDASINT     28    /* internal DAS error */
#define EACIINT     29    /* internal ACI error */
#define EMOREDATA   30    /* for a query more data are available */
#define ENOMATCH    31    /* things don't match together */
#define EOTHERPOOL  32    /* volser is still in another pool */
#define ECLEANING   33    /* drive in cleaning */
#define ETIMEOUT    34    /* The aci request timed out */
#define EPROBDEV    35    /* the robot has a problem with handling the device */


#define NO_ECODES   36    /* number of Error codes in header file
                             increment when adding new codes to the
                             end of the list                        */
